Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class OBJ_ADAPTERHelper

    java.lang.Object
      |
      +--org.omg.CORBA.OBJ_ADAPTERHelper

public class OBJ_ADAPTERHelper
extends java.lang.Object

Helper class for : OBJ_ADAPTER

Author:
  OpenORB Compiler

Constructor Summary
`OBJ_ADAPTERHelper()`

Method Summary
`static OBJ_ADAPTER` | `extract(Any a)` Extract OBJ_ADAPTER from an any
`static java.lang.String` | `id()` Return the OBJ_ADAPTER IDL ID
`static void` | `insert(Any a, OBJ_ADAPTER t)` Insert OBJ_ADAPTER into an any
`static OBJ_ADAPTER` | `read(InputStream istream)` Read OBJ_ADAPTER from a marshalled stream
`static TypeCode` | `type()` Return the OBJ_ADAPTER TypeCode
`static void` | `write(OutputStream ostream, OBJ_ADAPTER value)` Write OBJ_ADAPTER into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OBJ_ADAPTERHelper

    public OBJ_ADAPTERHelper()

Method Detail

### insert

    public static void insert(Any a,
                              OBJ_ADAPTER t)

  Insert OBJ_ADAPTER into an any
  Parameters:
    `a` - an any
    `t` - OBJ_ADAPTER value

### extract

    public static OBJ_ADAPTER extract(Any a)

  Extract OBJ_ADAPTER from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted OBJ_ADAPTER value

### type

    public static TypeCode type()

  Return the OBJ_ADAPTER TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the OBJ_ADAPTER IDL ID
  Returns:
    an ID

### read

    public static OBJ_ADAPTER read(InputStream istream)

  Read OBJ_ADAPTER from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed OBJ_ADAPTER value

### write

    public static void write(OutputStream ostream,
                             OBJ_ADAPTER value)

  Write OBJ_ADAPTER into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - OBJ_ADAPTER value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD